﻿using System.Windows.Xps.Packaging;
using Ascon.Pilot.DataClasses;

namespace Pilot.Xps.Domain.Signatures
{
    static class SignatureExtensions
    {
        public static XpsSignatureDefinition ToXpsSignatureDefinition(this INSignature signature)
        {
            return new XpsSignatureDefinition
            {
                RequestedSigner = signature.RequestedSigner,
                SpotId = signature.Id,
                Intent = signature.Role
            };
        }
    }
}
