﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Pilot.Xps.Connection.Server;

namespace Pilot.Xps.Console
{
    class XpsServiceContextLogger
    {
        private readonly XpsServiceContext _xpsServiceContext;

        public XpsServiceContextLogger(XpsServiceContext xpsServiceContext)
        {
            _xpsServiceContext = xpsServiceContext;
        }

        public void Start()
        {
            try
            {
                _xpsServiceContext.Start();
            }
            catch (Exception e)
            {
                System.Console.WriteLine(e);
            }
        }

        public void Stop()
        {
            try
            {
                _xpsServiceContext.Stop();
            }
            catch (Exception e)
            {
                System.Console.WriteLine(e);
            }
        }
    }
}
