﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectCloneWizard.ViewModels;
using PropertyChangedBase = Ascon.Pilot.SDK.Controls.PropertyChangedBase;

namespace ProjectCloneWizard.Dialogs
{
    class DialogViewModel : PropertyChangedBase
    {
        public DialogViewModel(ProcessPageViewModel processPageViewModel)
        {
            ProcessPageViewModel = processPageViewModel;
        }

        public ProcessPageViewModel ProcessPageViewModel { get; }

        public void Cancel()
        {
            ProcessPageViewModel.Cancel();
        }
    }
}
