﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using Pilot.Xps.Domain.Labels;

namespace Pilot.Xps.Domain.Render
{
    interface IBarCodeCreator
    {
        Tuple<string, Uri, Stream, int> GetBarcodeInPathes(string content, string offsetX, string offsetY, string barcodeHeight, string scale, bool showText, bool textOnly);
        Tuple<string, Uri, Stream, int> GetBarcodeForXps(BarcodeDescription barcode, Size pageSize);
    }
}
